# UDI Identifiers

## Introduction

Umbraco stores identifiers in UDI format for most Umbraco object types. This identifier stores all of the metadata required to retrieve an Umbraco object and is parse-able within text. Example: `umb://document/4fed18d8c5e34d5e88cfff3a5b457bf2`. UDI's can be used in many of the querying APIs.

{% hint style="info" %}
UDI is currently not an acronym for something. There is no official definition of what it's short for. Therefore it's called *UDI*
{% endhint %}

## Format

An Umbraco UDI consists of three parts: the scheme, the type and a GUID Identifier. For example: `umb://document/4fed18d8c5e34d5e88cfff3a5b457bf2`.

Breaking it down:

1. The scheme is `umb://` - this is always the same and makes it identifiable as an Umbraco UDI
2. The type is `document` - so in this is an Umbraco node, but it could also be `media`, `member`, etc.
3. The GUID Id is `4fed18d8c5e34d5e88cfff3a5b457bf2` - this is a GUID (dashes removed) which is randomly generated when the item is being created

## Usage

You can use UDIs in some of the Querying and Management/Service APIs.

There are 2 types of UDIs:

## GUID UDI

* [API Reference for Umbraco 13](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.GuidUdi.html)

## String UDI

* [API Reference for Umbraco 13](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.StringUdi.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/querying/udi-identifiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
